# Determine IP Block Price Determine costs of an IP block in a specified location. IP block is an Equinix-allocated set of public IP addresses that can be used for on-premises or virtual device resource or firewall configuration. ![](https://docs.equinix.com/assets/images/pricingIpBlock-6997f1fc339858dc21eaf800e0306fec.png) ## Prerequisites[​](#prerequisites "Direct link to Prerequisites") 1. Authenticate - Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call the OAuth API to validate and authenticate your credentials. 2. Use the [Get All Metros](https://docs.equinix.com/api-catalog/fabricv4/metros/getmetros.md) endpoint to find all metros where Equinix Fabric is available and determine IP Block location. ## Request Pricing Information for an IP Block[​](#request-pricing-information-for-an-ip-block "Direct link to Request Pricing Information for an IP Block") To request pricing information, send a `POST` request to the [/fabric/v4/prices/search](https://docs.equinix.com/api-catalog/fabricv4/prices/searchprices.md) endpoint. Specify your pricing criteria in the body of the request. | | **POST /fabric/v4/prices/search** | | ---------------- | --------------------------------- | | Method | `POST` | | URL or Endpoint | `/fabric/v4/prices/search` | | Headers | `Authorization`, `Content-Type` | | Path Parameters | Not applicable | | Query Parameters | Not applicable | | Body Parameters | filter | Sample cURL Request: ``` curl -X POST 'https://api.equinix.com/fabric/v4/prices/search' -H 'content-type: application/json' -H 'authorization: Bearer ' -d '{     "filter": {         "and": [                  {                 "property": "/type",                 "operator": "=",                 "values": [                     "IP_BLOCK_PRODUCT"                 ]             },             {                 "property": "/ipBlock/type",                 "operator": "=",                 "values": [                     "IPv4"                 ]             },             {                 "property": "/ipBlock/prefixLength",                 "operator": "=",                 "values": [                     29                 ]             },             {                 "property": "/ipBlock/location/metroCode",                 "operator": "IN",                 "values": [                     "SV", "WA"                 ]             }         ]     } }' ``` The parameters included in the request body are specific to this example. For a full list of parameters and their descriptions, see the [API Reference](https://docs.equinix.com/api-catalog/fabricv4/prices/searchprices.md). Sample Response: ``` { "data": [     {         "type": "IP_BLOCK_PRODUCT",         "code": "ECX00005.PROD",         "name": "Equinix Fabric IP Addressing Product",         "description": "Equinix Fabric IP Addressing",         "charges": [             {                 "type": "MONTHLY_RECURRING",                 "price": 20.0             }         ],         "currency": "USD",         "ipBlock": {             "type": "IPv4",             "prefixLength": 29,             "location": {                 "metroCode": "SV"             }         }     },     {         "type": "IP_BLOCK_PRODUCT",         "code": "ECX00005.PROD",         "name": "Equinix Fabric IP Addressing Product",         "description": "Equinix Fabric IP Addressing",         "charges": [             {                 "type": "MONTHLY_RECURRING",                 "price": 160.0             }         ],         "currency": "PLN",         "ipBlock": {             "type": "IPv4",             "prefixLength": 29,             "location": {                 "metroCode": "WA"             }         }     } ], "pagination": {     "offset": 0,     "limit": 2,     "total": 2 } } ``` Response payload includes configuration parameters defined in the request body. For a full list of possible parameters and their descriptions, see the [API Reference](https://docs.equinix.com/api-catalog/fabricv4/prices/searchprices.md).